# Generated by go2rpm 1.8.1
%bcond_without check

# https://github.com/helm/helm
%global goipath         helm.sh/helm/v3
%global forgeurl        https://github.com/helm/helm
Version:                3.11.1

%gometa -f

%global common_description %{expand:
Helm is a tool for managing Charts. Charts are packages of pre-configured
Kubernetes resources.

Use Helm to:
- Find and use popular software packaged as Helm Charts to run in Kubernetes
- Share your own applications as Helm Charts
- Create reproducible builds of your Kubernetes applications
- Intelligently manage your Kubernetes manifest files
- Manage releases of Helm packages}

%global golicenses      LICENSE
%global godocs          ADOPTERS.md CONTRIBUTING.md README.md SECURITY.md\\\
                        code-of-conduct.md

Name:           %{goname}
Release:        %autorelease
Summary:        The Kubernetes Package Manager

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}
# Revert k8s API changes as our packages haven't caught up yet
# https://github.com/helm/helm/commit/bd7c97f786f59b993dc34884f3d44ca0297f13e8
# https://github.com/helm/helm/commit/472c5736ab01133de504a826bd9ee12cbe4e7904
Patch:          revert-k8s-bump.patch
# Drop tests that require network access
Patch:          drop-network-tests.patch

%if 0%{?fc36}
# Build fails on these arches for Fedora 36
ExcludeArch:    armv7hl aarch64
%endif

%description %{common_description}

%package -n     helm
Summary:        %{summary}

%description -n helm
%{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files -n helm
%license LICENSE
%doc ADOPTERS.md CONTRIBUTING.md README.md SECURITY.md code-of-conduct.md
%{_bindir}/*

%gopkgfiles

%changelog
%autochangelog
